## cantata 1.3.4.ds1

=== CMakeLists.txt ===
PROJECT(cantata)

cmake_minimum_required(VERSION 2.6)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

set(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/README")
set(CPACK_GENERATOR "DEB;RPM;TBZ2")
set(DEBIAN_PACKAGE_DESCRIPTION "Qt/KDE Client for MPD")
set(DEBIAN_PACKAGE_SECTION "kde4")
set(CPACK_SOURCE_GENERATOR "TBZ2")
set(CPACK_PACKAGE_VERSION_MAJOR "1")
set(CPACK_PACKAGE_VERSION_MINOR "3")
set(CPACK_PACKAGE_VERSION_PATCH "4")
set(CPACK_PACKAGE_VERSION_SPIN "")
set(CPACK_PACKAGE_CONTACT "Craig Drummond <craig.p.drummond@gmail.com>")
set(CANTATA_VERSION "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}")
set(CANTATA_VERSION_FULL "${CANTATA_VERSION}.${CPACK_PACKAGE_VERSION_PATCH}")
set(CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${CANTATA_VERSION_FULL}${CPACK_PACKAGE_VERSION_SPIN}")
set(CPACK_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${CANTATA_VERSION_FULL}${CPACK_PACKAGE_VERSION_SPIN}")
set(CPACK_SOURCE_IGNORE_FILES  "/.svn/;CMakeLists.txt.user")
include(CPack)
include(MacroLogFeature)

option(ENABLE_TAGLIB "Enable TagLib library (required for tag editing, replaygain calculation, device support, etc)" ON)
option(ENABLE_TAGLIB_EXTRAS "Enable TagLib-Extras library (used by tag editing, replaygain calculation, device support, etc)" ON)
option(ENABLE_HTTP_STREAM_PLAYBACK "Enable playback of MPD HTTP streams (Phonon required for Qt4, QtMultimedia for Qt5)" OFF)
if (WIN32)
    option(ENABLE_HTTPS_SUPPORT "Enable HTTPS URLs for Last.fm, Wikipedia, SoundCloud, etc. (Requires a Qt built with SSL support)" OFF)
else (WIN32)
    option(ENABLE_HTTPS_SUPPORT "Enable HTTPS URLs for Last.fm, Wikipedia, SoundCloud, etc." ON)
endif (WIN32)
option(ENABLE_KDE "Enable KDE libraries" ON)
option(ENABLE_KWALLET "Use KWallet in KDE builds" ON)
option(ENABLE_QT5 "Build against Qt5" OFF)
option(ENABLE_FFMPEG "Enable ffmpeg/libav libraries (required for replaygain calculation)" ON)
option(ENABLE_MPG123 "Enable mpg123 libraries (required for replaygain calculation)" ON)
option(ENABLE_SPEEXDSP "Enable SpeexDSP libraries (used to speed-up replaygain calculation)" ON)
option(ENABLE_PROXY_CONFIG "Enable proxy config in settings dialog" OFF)
option(ENABLE_EXTERNAL_TAGS "Enable usage of external app for reading/writing tags (EXPERIMENTAL - NOT FULLY WORKING)" OFF)
option(ENABLE_HTTP_SERVER "Enable internal HTTP server to play non-MPD files" ON)
option(ENABLE_DYNAMIC "Enable support for dynamic playlists" ON)
option(ENABLE_STREAMS "Enable support for streams tab (to save favourite streams, and search for others)" ON)
option(ENABLE_ONLINE_SERVICES "Enable support for online services (Jamendo, Magnatune, SoundCloud, and Podcasts)" ON)

if (WIN32 OR APPLE)
    set(USE_SYSTEM_MENU_ICON OFF)
else (WIN32 OR APPLE)
    option(ENABLE_CDPARANOIA "Enable CDParanoia libraries (required for AudioCD support)" ON)
    option(ENABLE_CDDB "Enable CDDB libraries (either this or MusicBrianz required for AudioCD support)" ON)
    option(ENABLE_MUSICBRAINZ "Enable MusicBrianz libraries (either this or CDDB required for AudioCD support)" ON)
    option(ENABLE_UDISKS2 "Build UDisks2 backend, and NOT UDisks, for Qt builds" OFF)
    option(ENABLE_DEVICES_SUPPORT "Enable suport for external devices" ON)
    option(ENABLE_REMOTE_DEVICES "Enable support for remote (sshfs, samba) devices EXPERIMENTAL" OFF)
    option(ENABLE_MTP "Enable MTP library (required to support MTP devices)" ON)
    option(ENABLE_UNCACHED_MTP "Open MTP devices in un-cached mode (faster)" ON)
    option(USE_SYSTEM_MENU_ICON "Use system menu icon" ON)
endif (WIN32 OR APPLE)

if (ENABLE_QT5)
    set(ENABLE_KDE OFF)
endif (ENABLE_QT5)

if (NOT ENABLE_KDE)
   set(ENABLE_KWALLET OFF)
endif (NOT ENABLE_KDE)

if (NOT WIN32 AND NOT APPLE AND ENABLE_DEVICES_SUPPORT AND ENABLE_UDISKS2)
    set(WITH_SOLID_UDISKS2 ON)
endif (NOT WIN32 AND NOT APPLE AND ENABLE_DEVICES_SUPPORT AND ENABLE_UDISKS2)

if (NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE "Release")
    message("-- Set build type to ${CMAKE_BUILD_TYPE}")
endif (NOT CMAKE_BUILD_TYPE)

if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    if (ENABLE_KDE)
        find_program(KDE4_KDECONFIG_EXECUTABLE NAMES kde4-config
                     PATHS ${CMAKE_INSTALL_PREFIX}/bin ${_KDEDIRS} /opt/kde4/bin NO_DEFAULT_PATH)
        if (NOT KDE4_KDECONFIG_EXECUTABLE)
           find_program(KDE4_KDECONFIG_EXECUTABLE NAMES kde4-config )
        endif (NOT KDE4_KDECONFIG_EXECUTABLE)
        if (KDE4_KDECONFIG_EXECUTABLE)
            exec_program(${KDE4_KDECONFIG_EXECUTABLE} ARGS --prefix OUTPUT_VARIABLE CMAKE_INSTALL_PREFIX)
            message("-- Set install prefix to ${CMAKE_INSTALL_PREFIX}")
        endif (KDE4_KDECONFIG_EXECUTABLE)
    elseif (NOT APPLE AND NOT WIN32)
        set(CMAKE_INSTALL_PREFIX "/usr")
        message("-- Set install prefix to ${CMAKE_INSTALL_PREFIX}")
    endif (ENABLE_KDE)
endif (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)

if (NOT ENABLE_QT5 AND NOT APPLE AND NOT WIN32)
    find_package(X11)
    if (X11_FOUND)
        include_directories(${X11_INCLUDE_DIR})
    endif (X11_FOUND)
endif (NOT ENABLE_QT5 AND NOT APPLE AND NOT WIN32)

if (ENABLE_TAGLIB)
    set(TAGLIB_MIN_VERSION "1.6")
    find_package(Taglib)
    macro_log_feature(TAGLIB_FOUND "TagLib" "Tag editor, file organiser, etc." "http://taglib.github.io/")
endif (ENABLE_TAGLIB)

if (TAGLIB_FOUND)
    if (NOT WIN32 AND NOT APPLE AND ENABLE_DEVICES_SUPPORT AND ENABLE_CDPARANOIA)
        find_package(Cdparanoia)
        macro_log_feature(CDPARANOIA_FOUND "libcdda_paranoia" "CD ripping." "http://www.xiph.org/paranoia")
        if (CDPARANOIA_FOUND)
            if (ENABLE_CDDB)
                find_package(CDDB)
                macro_log_feature(CDDB_FOUND "libcddb" "CD info retrieval via CDDB." "http://libcddb.sourceforge.net")
            endif (ENABLE_CDDB)
            if (ENABLE_MUSICBRAINZ)
                find_package(MusicBrainz5)
                macro_log_feature(MUSICBRAINZ5_FOUND "libmusicbrainz5" "CD info retrieval via MusicBrainz." "http://musicbrainz.org/doc/libmusicbrainz")
            endif (ENABLE_MUSICBRAINZ)
        endif (CDPARANOIA_FOUND)
    endif (NOT WIN32 AND NOT APPLE AND ENABLE_DEVICES_SUPPORT AND ENABLE_CDPARANOIA)

    set(ENABLE_TAGEDITOR_SUPPORT 1)
    set(ENABLE_TRACKORGANIZER_SUPPORT 1)
    include(CheckCXXSourceCompiles)
    set(CMAKE_REQUIRED_INCLUDES "${TAGLIB_INCLUDES}")
    set(CMAKE_REQUIRED_LIBRARIES "${TAGLIB_LIBRARIES}")

    check_cxx_source_compiles("#include <asftag.h>
                            int main() { TagLib::ASF::Tag tag; return 0;}" TAGLIB_ASF_FOUND)
    if (NOT TAGLIB_ASF_FOUND)
        message("TagLib does not have ASF support compiled in.")
    endif (NOT TAGLIB_ASF_FOUND)

    check_cxx_source_compiles("#include <mp4tag.h>
                            int main() { TagLib::MP4::Tag tag(0, 0); return 0;}" TAGLIB_MP4_FOUND)
    if (NOT TAGLIB_MP4_FOUND)
        message("TagLib does not have MP4 support compiled in.")
    endif (NOT TAGLIB_MP4_FOUND)

    set(CMAKE_REQUIRED_INCLUDES)
    set(CMAKE_REQUIRED_LIBRARIES)

    set(TAGLIB-EXTRAS_MIN_VERSION "1.0")
    if (ENABLE_TAGLIB_EXTRAS)
        find_package(Taglib-Extras)
        macro_log_feature(TAGLIB-EXTRAS_FOUND "TagLib-Extras" "Tag editor, file organiser, etc." "http://taglib.github.io/")
    endif (ENABLE_TAGLIB_EXTRAS)
    set(TAGLIB_EXTRAS_FOUND ${TAGLIB-EXTRAS_FOUND}) # we need a c-compatible name for the include file

    include(CheckTagLibFileName)
    check_taglib_filename(COMPLEX_TAGLIB_FILENAME)

    add_definitions(${TAGLIB_CFLAGS})
    if (TAGLIB-EXTRAS_FOUND)
        include_directories(${TAGLIB-EXTRAS_INCLUDES})
        add_definitions(${TAGLIB-EXTRAS_CFLAGS})
    endif (TAGLIB-EXTRAS_FOUND)

    if (ENABLE_FFMPEG)
        find_package(FFMPEG)
        macro_log_feature(FFMPEG_FOUND "libavcodec" "ReplayGain calculation." "http://ffmpeg.org")
    endif (ENABLE_FFMPEG)
    if (ENABLE_MPG123)
        find_package(MPG123)
        macro_log_feature(MPG123_FOUND "libmpg123" "ReplayGain calculation." "http://www.mpg123.de")
    endif (ENABLE_MPG123)
    if (ENABLE_SPEEXDSP AND (FFMPEG_FOUND OR MPG123_FOUND))
        find_package(SPEEXDSP)
        macro_log_feature(SPEEXDSP_FOUND "SpeexDSP" "Used to speedup/improve ReplayGain calculation." "http://www.speex.org")
    endif (ENABLE_SPEEXDSP AND (FFMPEG_FOUND OR MPG123_FOUND))
    if (ENABLE_MTP AND ENABLE_DEVICES_SUPPORT AND NOT WIN32 AND NOT APPLE)
        find_package(Mtp)
        macro_log_feature(MTP_FOUND "libmtp" "MTP Device Support." "http://libmtp.sourceforge.net")
    endif (ENABLE_MTP AND ENABLE_DEVICES_SUPPORT AND NOT WIN32 AND NOT APPLE)
endif (TAGLIB_FOUND)

if (NOT MTP_FOUND)
   set(ENABLE_UNCACHED_MTP OFF)
endif (NOT MTP_FOUND)

if (ENABLE_QT5)
    find_package(Qt5Widgets REQUIRED)
    find_package(Qt5Xml REQUIRED)
    find_package(Qt5Network REQUIRED)
    find_package(Qt5Concurrent REQUIRED)
    find_package(Qt5Svg REQUIRED) # Only actually required for SVG icons...
    set(QTCORELIBS ${Qt5Core_LIBRARIES})
    set(QTNETWORKLIBS ${Qt5Network_LIBRARIES})
    set(QTGUILIBS ${Qt5Gui_LIBRARIES})
    set(QTLIBS ${QTCORELIBS} ${Qt5Widgets_LIBRARIES} ${QTNETWORKLIBS} ${QTGUILIBS} ${Qt5Xml_LIBRARIES} ${Qt5Concurrent_LIBRARIES})
    set(QTINCLUDES ${Qt5Widgets_INCLUDE_DIRS} ${Qt5Network_INCLUDE_DIRS} ${Qt5Xml_INCLUDE_DIRS} ${Qt5Core_INCLUDE_DIRS} ${Qt5Concurrent_INCLUDE_DIRS})
    add_definitions(${Qt5Widgets_DEFINITIONS} ${Qt5Network_DEFINITIONS} ${Qt5Xml_DEFINITIONS} ${Qt5Concurrent_DEFINITIONS})
    set(CMAKE_CXX_FLAGS "${Qt5Widgets_EXECUTABLE_COMPILE_FLAGS}")
    find_package(Qt5DBus)
    macro_log_feature(Qt5DBus_FOUND "Qt5DBus" "DBus support." "http://qtproject.org")
    if (Qt5DBus_FOUND)
        set(QT_QTDBUS_FOUND 1) # required for config.h !!!
        set(QTLIBS ${QTLIBS} ${Qt5DBus_LIBRARIES})
        set(QTINCLUDES ${QTINCLUDES} ${Qt5DBus_INCLUDE_DIRS})
        add_definitions(${Qt5DBus_DEFINITIONS})
    endif (Qt5DBus_FOUND)
else (ENABLE_QT5)
    find_package(Qt4 REQUIRED QtCore QtGui QtXml QtNetwork QtSvg)  # SVG only actually required for SVG icons...
    set(QTCORELIBS ${QT_QTCORE_LIBRARY})
    set(QTNETWORKLIBS ${QT_QTNETWORK_LIBRARY})
    set(QTGUILIBS ${QT_QTGUI_LIBRARY})
    set(QTLIBS ${QT_QTXML_LIBRARY} ${QTCORELIBS} ${QTGUILIBS} ${QTNETWORKLIBS})
    if (QT_QTDBUS_FOUND)
        set(QTLIBS ${QTLIBS} ${QT_QTDBUS_LIBRARY})
    endif (QT_QTDBUS_FOUND)
    set(QTINCLUDES ${QT_INCLUDES})
    add_definitions(-DQT_NO_STL -DQT_NO_CAST_TO_ASCII -Wall -Wextra)
endif (ENABLE_QT5)

if (ENABLE_HTTP_STREAM_PLAYBACK)
    if (ENABLE_QT5)
        find_package(Qt5Multimedia REQUIRED)
        macro_log_feature(Qt5Multimedia "Qt5Multimedia" "MPD HTTP stream playback." "http://qtproject.org")
        set(QTLIBS ${QTLIBS} ${Qt5Multimedia_LIBRARIES})
        set(QTINCLUDES ${QTINCLUDES} ${Qt5Multimedia_INCLUDES})
        add_definitions(${Qt5Multimedia_DEFINITIONS})
    else (ENABLE_QT5)
        find_package(Phonon REQUIRED)
        macro_log_feature(PHONON_FOUND "Phonon" "MPD HTTP stream playback." "http://phonon.kde.org")
    endif (ENABLE_QT5)
endif (ENABLE_HTTP_STREAM_PLAYBACK)

if (ENABLE_KDE)
    find_package(KDE4 REQUIRED)
    add_definitions(-DENABLE_KDE_SUPPORT)
    set(ENABLE_KDE_SUPPORT TRUE)
endif (ENABLE_KDE)

if (NOT ENABLE_QT5 AND NOT WIN32 AND NOT APPLE)
    find_package(QJSON)
endif (NOT ENABLE_QT5 AND NOT WIN32 AND NOT APPLE)

find_package(ZLIB REQUIRED)

include_directories(${CMAKE_SOURCE_DIR}/gui ${CMAKE_SOURCE_DIR}/mpd ${CMAKE_SOURCE_DIR}/models ${CMAKE_SOURCE_DIR}/widgets
                    ${CMAKE_SOURCE_DIR}/network ${CMAKE_SOURCE_DIR}/dbus ${CMAKE_SOURCE_DIR}/http
                    ${CMAKE_SOURCE_DIR}/devices ${CMAKE_SOURCE_DIR}/dynamic ${CMAKE_SOURCE_DIR}/support ${CMAKE_SOURCE_DIR}/streams
                    ${CMAKE_SOURCE_DIR}/tags ${CMAKE_SOURCE_DIR}/online ${CMAKE_SOURCE_DIR}/context ${CMAKE_BINARY_DIR}/support

=== icons/CMakeLists.txt ===
#if (ENABLE_KDE_SUPPORT)
#    kde4_install_icons( ${DATA_INSTALL_DIR}/cantata/icons)
#else (ENABLE_KDE_SUPPORT)
    if (UNIX AND NOT APPLE)
        macro (update_iconcache)
            # Update mtime of hicolor icon theme dir.
            # We don't always have touch command (e.g. on Windows), so instead create
            #  and delete a temporary file in the theme dir.
            install(CODE "
            set(DESTDIR_VALUE \"\$ENV{DESTDIR}\")
            if (NOT DESTDIR_VALUE)
                file(WRITE \"${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/temp.txt\" \"update\")
                file(REMOVE \"${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/temp.txt\")
            endif (NOT DESTDIR_VALUE)
            ")
        endmacro (update_iconcache)

        install(FILES cantata.svg DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/scalable/apps)
        install(FILES cantata16.png DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/16x16/apps RENAME cantata.png)
        install(FILES cantata22.png DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/22x22/apps RENAME cantata.png)
        install(FILES cantata24.png DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/24x24/apps RENAME cantata.png)
        install(FILES cantata32.png DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/32x32/apps RENAME cantata.png)
        install(FILES cantata48.png DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/48x48/apps RENAME cantata.png)
        install(FILES cantata64.png DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/64x64/apps RENAME cantata.png)

        install(FILES trayicon-mono-dark.svg DESTINATION ${CMAKE_INSTALL_PREFIX}/share/${CMAKE_PROJECT_NAME}/icons/ubuntu-mono-light RENAME systray.svg)
        install(FILES trayicon-mono-light.svg DESTINATION ${CMAKE_INSTALL_PREFIX}/share/${CMAKE_PROJECT_NAME}/icons/ubuntu-mono-dark RENAME systray.svg)

        update_iconcache()
    endif (UNIX AND NOT APPLE)
#endif (ENABLE_KDE_SUPPORT)

=== mac/CMakeLists.txt ===
set(MACOSX_BUNDLE_RESOURCES "${CMAKE_BINARY_DIR}/cantata.app/Contents/Resources")

install(FILES ${MACOSX_BUNDLE_ICON_FILE} DESTINATION ${MACOSX_BUNDLE_RESOURCES})

if (CANTATA_OXYGEN_DIR)
    add_subdirectory(icons)
endif (CANTATA_OXYGEN_DIR)

=== po/CMakeLists.txt ===
if (NOT CANTATA_TRANSLATIONS)
    set(CANTATA_TRANSLATIONS "all")
endif (NOT CANTATA_TRANSLATIONS)

foreach (trans ${CANTATA_TRANSLATIONS})
    if (trans STREQUAL "all")
        file(GLOB avail_pofiles *.po)
        foreach (PO_FILE ${avail_pofiles})
            get_filename_component(lang ${PO_FILE} NAME_WE)
            list(APPEND CANTATA_LANGUAGES "${lang}")
        endforeach (PO_FILE ${avail_pofiles})
    else (trans STREQUAL "all")
        list(APPEND CANTATA_LANGUAGES "${trans}")
    endif (trans STREQUAL "all")
endforeach (trans ${CANTATA_TRANSLATIONS})

if (ENABLE_KDE_SUPPORT )
    find_program(GETTEXT_MSGFMT_EXECUTABLE msgfmt)

    if (NOT GETTEXT_MSGFMT_EXECUTABLE)
        message("------\n"
                "NOTE: msgfmt not found. Translations will *not* be installed\n"
                "------\n")
    else (NOT GETTEXT_MSGFMT_EXECUTABLE)
        set(catalogname cantata)
        add_custom_target(translations ALL)
        foreach (_lang ${CANTATA_LANGUAGES})
            if (EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/${_lang}.po)
                set(_gmoFile ${CMAKE_CURRENT_BINARY_DIR}/${_lang}.gmo)
                add_custom_command(TARGET translations
                        COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} --check -o ${_gmoFile} ${CMAKE_CURRENT_SOURCE_DIR}/${_lang}.po
                        DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/${_lang}.po)
                install(FILES ${_gmoFile} DESTINATION ${LOCALE_INSTALL_DIR}/${_lang}/LC_MESSAGES/ RENAME ${catalogname}.mo)
            endif (EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/${_lang}.po)
        endforeach (_lang ${CANTATA_LANGUAGES})
    endif (NOT GETTEXT_MSGFMT_EXECUTABLE)
else (ENABLE_KDE_SUPPORT)
    find_program(LCONVERT_EXECUTABLE lconvert)
    find_program(LRELEASE_EXECUTABLE lrelease)

    if (NOT LCONVERT_EXECUTABLE OR NOT LRELEASE_EXECUTABLE)
        message("------\n"
                "NOTE: lconvert and/or lrelease not found. Translations will *not* be installed\n"
                "------\n")
    else (NOT LCONVERT_EXECUTABLE OR NOT LRELEASE_EXECUTABLE)
        set(catalogname cantata)
        add_custom_target(translations ALL)
        foreach(_lang ${CANTATA_LANGUAGES})
            if (EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/${_lang}.po)
                set(_poFile ${_lang}.po)
                set(_tsFile ${CMAKE_CURRENT_BINARY_DIR}/cantata_${_lang}.ts)
                set(_qmFile ${CMAKE_CURRENT_BINARY_DIR}/cantata_${_lang}.qm)
                add_custom_command(TARGET translations
                    COMMAND ${LCONVERT_EXECUTABLE} ARGS ${_poFile} -o ${_tsFile} -of ts
                    DEPENDS ${_poFile}
                    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})
                add_custom_command(TARGET translations
                    COMMAND ${LRELEASE_EXECUTABLE} ARGS ${_tsFile} -qm ${_qmFile}
                    DEPENDS ${_tsFile})
                if (WIN32)
                    install(FILES ${_qmFile} DESTINATION ${CMAKE_INSTALL_PREFIX}/translations/)
                else (WIN32)
                    install(FILES ${_qmFile} DESTINATION ${CMAKE_INSTALL_PREFIX}/share/cantata/translations/)
                endif (WIN32)
            endif (EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/${_lang}.po)
        endforeach(_lang ${CANTATA_LANGUAGES})
    endif (NOT LCONVERT_EXECUTABLE OR NOT LRELEASE_EXECUTABLE)
endif (ENABLE_KDE_SUPPORT)

=== replaygain/CMakeLists.txt ===
macro(cantata_check_for_sse)
    # check for SSE extensions
    include(CheckCXXSourceRuns)
    if (CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_GNUCXX)
        set(CMAKE_REQUIRED_FLAGS "-msse3")
        check_cxx_source_runs("
            #include <pmmintrin.h>
            int main() { __m128d a, b; double vals[2] = {0}; a = _mm_loadu_pd(vals); b = _mm_hadd_pd(a,a); _mm_storeu_pd(vals, b); return 0; }"
            HAS_SSE3_EXTENSIONS)
        if (HAS_SSE3_EXTENSIONS)
            add_definitions("-msse3 -mfpmath=sse")
        else (HAS_SSE3_EXTENSIONS)
            # No sse3, check sse2
            set(CMAKE_REQUIRED_FLAGS "-msse2")
            check_cxx_source_runs("
                #include <emmintrin.h>
                int main() { __m128d a, b; double vals[2] = {0}; a = _mm_loadu_pd(vals); b = _mm_add_pd(a,a);  _mm_storeu_pd(vals,b); return 0; }"
                HAS_SSE2_EXTENSIONS)
            if (HAS_SSE2_EXTENSIONS)
                add_definitions("-msse2 -mfpmath=sse")
            else (HAS_SSE2_EXTENSIONS)
                # No sse2, check sse
                set(CMAKE_REQUIRED_FLAGS "-msse")
                check_cxx_source_runs("
                    #include <xmmintrin.h>
                    int main() { __m128 a, b; float vals[4] = {0}; a = _mm_loadu_ps(vals); b = a; b = _mm_add_ps(a,b); _mm_storeu_ps(vals,b); return 0; }"
                    HAS_SSE_EXTENSIONS)
                if (HAS_SSE_EXTENSIONS)
                    add_definitions("-msse -mfpmath=sse")
                endif (HAS_SSE_EXTENSIONS)
            endif (HAS_SSE2_EXTENSIONS)
        endif (HAS_SSE3_EXTENSIONS)
        set(CMAKE_REQUIRED_FLAGS)
    elseif (MSVC)
        check_cxx_source_runs("
            #include <emmintrin.h>
            int main() { __m128d a, b; double vals[2] = {0}; a = _mm_loadu_pd(vals);  b = _mm_add_pd(a,a);  _mm_storeu_pd(vals,b); return 0; }"
            HAS_SSE2_EXTENSIONS)
    endif (CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_GNUCXX)
endmacro(cantata_check_for_sse)

if (FFMPEG_FOUND OR MPG123_FOUND)
    cantata_check_for_sse()
    include_directories(${QTINCLUDES} ${ZLIB_INCLUDE_DIRS})
    if (FFMPEG_FOUND)
        set(CANTATA_RG_SRCS ${CANTATA_RG_SRCS} ffmpeginput.cpp)
        include_directories(${FFMPEG_INCLUDE_DIRS})
    endif (FFMPEG_FOUND)
    if (MPG123_FOUND)
        set(CANTATA_RG_SRCS ${CANTATA_RG_SRCS} mpg123input.cpp)
        include_directories(${MPG123_INCLUDE_DIRS})
    endif (MPG123_FOUND)
    if (SPEEXDSP_FOUND)
        include_directories(${SPEEXDSP_INCLUDE_DIRS})
    endif (SPEEXDSP_FOUND)

    include_directories(${CMAKE_SOURCE_DIR}/replaygain ${CMAKE_SOURCE_DIR}/support)
    set(CANTATA_RG_SRCS ${CANTATA_RG_SRCS} main.cpp ebur128.c replaygain.cpp trackscanner.cpp jobcontroller.cpp ../support/thread.cpp)
    set(CANTATA_RG_MOC_HDRS ${CANTATA_RG_MOC_HDRS} replaygain.h trackscanner.h jobcontroller.h ../support/thread.h)

    if (ENABLE_KDE_SUPPORT)
        kde4_add_executable(cantata-replaygain ${CANTATA_RG_SRCS} ${CANTATA_RG_MOC_SRCS})
        install(TARGETS cantata-replaygain RUNTIME DESTINATION lib/cantata)
    else (ENABLE_KDE_SUPPORT)
        if (ENABLE_QT5)
            QT5_WRAP_CPP(CANTATA_RG_MOC_SRCS ${CANTATA_RG_MOC_HDRS})
        else (ENABLE_QT5)
            INCLUDE(${QT_USE_FILE})
            QT4_WRAP_CPP(CANTATA_RG_MOC_SRCS ${CANTATA_RG_MOC_HDRS})
        endif (ENABLE_QT5)

        if (WIN32)
            set(CMAKE_BUILD_TYPE "Release")
            ADD_EXECUTABLE(cantata-replaygain WIN32 ${CANTATA_RG_SRCS} ${CANTATA_RG_MOC_SRCS} ${CANTATA_PO})
            install(TARGETS cantata-replaygain DESTINATION ${CMAKE_INSTALL_PREFIX})
        else (WIN32)
            ADD_EXECUTABLE(cantata-replaygain ${CANTATA_RG_SRCS} ${CANTATA_RG_MOC_SRCS})
            install(TARGETS cantata-replaygain RUNTIME DESTINATION lib/cantata)
        endif (WIN32)
    endif (ENABLE_KDE_SUPPORT)

    if (FFMPEG_FOUND)
        target_link_libraries(cantata-replaygain ${FFMPEG_LIBRARIES})
    endif (FFMPEG_FOUND)
    if (MPG123_FOUND)
        target_link_libraries(cantata-replaygain ${MPG123_LIBRARIES})
    endif (MPG123_FOUND)
    if (SPEEXDSP_FOUND)
        target_link_libraries(cantata-replaygain ${SPEEXDSP_LIBRARIES})
    endif (SPEEXDSP_FOUND)
    target_link_libraries(cantata-replaygain ${QTCORELIBS})
    if (UNIX AND NOT APPLE)
        target_link_libraries(cantata-replaygain -lpthread)
    endif (UNIX AND NOT APPLE)
endif (FFMPEG_FOUND OR MPG123_FOUND)

=== support/CMakeLists.txt ===
set(SUPPORT_SRCS action.cpp actioncollection.cpp fancytabwidget.cpp messagewidget.cpp icon.cpp buddylabel.cpp
    lineedit.cpp gtkstyle.cpp utils.cpp spinner.cpp messagebox.cpp inputdialog.cpp thread.cpp squeezedtextlabel.cpp)

set(SUPPORT_MOC_HDRS action.h actioncollection.h fancytabwidget.h messagewidget.h inputdialog.h thread.h pagewidget.h)

if (NOT WIN32)
    set(SUPPORT_SRCS ${SUPPORT_SRCS} windowmanager.cpp gtkproxystyle.cpp combobox.cpp shortcuthandler.cpp)
    set(SUPPORT_MOC_HDRS ${SUPPORT_MOC_HDRS} windowmanager.h gtkproxystyle.h shortcuthandler.h)
    add_subdirectory(themes)
endif (NOT WIN32)

if (ENABLE_KDE_SUPPORT)
    include_directories(${KDE4_INCLUDES})
    # macro_ensure_version("4.7.0" ${KDE_VERSION} KDE_VERSION_47)
    # if (NOT KDE_VERSION_47)
        set(SUPPORT_SRCS ${SUPPORT_SRCS} kmessagewidget.cpp)
        set(SUPPORT_MOC_HDRS ${SUPPORT_MOC_HDRS} kmessagewidget.h)
    # endif (NOT KDE_VERSION_47)
    kde4_add_ui_files(SUPPORT_UI_HDRS ${SUPPORT_UIS})
    set(SUPPORT_SRCS ${SUPPORT_SRCS} dialog.cpp)
else (ENABLE_KDE_SUPPORT)
    set(SUPPORT_SRCS ${SUPPORT_SRCS} pathrequester.cpp kmessagewidget.cpp dialog.cpp pagewidget.cpp shortcutsmodel.cpp
        shortcutssettingswidget.cpp keysequencewidget.cpp acceleratormanager.cpp proxystyle.cpp urllabel.cpp)
    set(SUPPORT_MOC_HDRS ${SUPPORT_MOC_HDRS} pathrequester.h kmessagewidget.h urllabel.h
         dialog.h shortcutsmodel.h shortcutssettingswidget.h keysequencewidget.h spinner.h acceleratormanager_private.h)
    set(SUPPORT_UIS shortcutssettingswidget.ui)
    if (ENABLE_QT5)
        if (Qt5Gui_VERSION_MAJOR LESS 5 OR Qt5Gui_VERSION_MINOR LESS 2)
            set(SUPPORT_MOC_HDRS ${SUPPORT_MOC_HDRS} lineedit.h)
        endif (Qt5Gui_VERSION_MAJOR LESS 5 OR Qt5Gui_VERSION_MINOR LESS 2)
        qt5_wrap_ui(SUPPORT_UI_HDRS ${SUPPORT_UIS})
    else (ENABLE_QT5)
        set(SUPPORT_MOC_HDRS ${SUPPORT_MOC_HDRS} lineedit.h)
        qt4_wrap_ui(SUPPORT_UI_HDRS ${SUPPORT_UIS})
    endif (ENABLE_QT5)
endif  (ENABLE_KDE_SUPPORT)

if (ENABLE_QT5)
    qt5_wrap_cpp(SUPPORT_MOC_SRCS ${SUPPORT_MOC_HDRS})
else (ENABLE_QT5)
    qt4_wrap_cpp(SUPPORT_MOC_SRCS ${SUPPORT_MOC_HDRS})
endif (ENABLE_QT5)

include_directories(${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR} ${QTINCLUDES})
add_library(support STATIC ${SUPPORT_MOC_SRCS} ${SUPPORT_SRCS} ${SUPPORT_UI_HDRS})

if (X11_FOUND)
    target_link_libraries(support ${X11_LIBRARIES})
endif (X11_FOUND)

=== tags/CMakeLists.txt ===
include_directories(${QTINCLUDES} ${TAGLIB_INCLUDES} ${CMAKE_SOURCE_DIR}/tags)
set(CANTATA_TAGS_SRCS main.cpp tagserver.cpp tags.cpp filetyperesolver.cpp ../mpd/song.cpp)

if (ENABLE_KDE_SUPPORT)
    kde4_add_executable(cantata-tags ${CANTATA_TAGS_SRCS} ${CANTATA_TAGS_MOC_SRCS})
    install(TARGETS cantata-tags RUNTIME DESTINATION lib/cantata)
else (ENABLE_KDE_SUPPORT)
    if (WIN32)
        set(CMAKE_BUILD_TYPE "Release")
        ADD_EXECUTABLE(cantata-tags WIN32 ${CANTATA_TAGS_SRCS} ${CANTATA_TAGS_MOC_SRCS})
        install(TARGETS cantata-tags DESTINATION ${CMAKE_INSTALL_PREFIX})
    else (WIN32)
        ADD_EXECUTABLE(cantata-tags ${CANTATA_TAGS_SRCS} ${CANTATA_TAGS_MOC_SRCS})
        install(TARGETS cantata-tags RUNTIME DESTINATION lib/cantata)
    endif (WIN32)
endif (ENABLE_KDE_SUPPORT)

add_definitions(-DCANTATA_NO_SONG_TIME_FUNCTION -DCANTATA_TAG_SERVER)
target_link_libraries(cantata-tags ${TAGLIB_LIBRARIES} ${QTGUILIBS} ${QTCORELIBS} ${QTNETWORKLIBS})
if (TAGLIB-EXTRAS_FOUND)
    target_link_libraries(cantata-tags ${TAGLIB-EXTRAS_LIBRARIES})
    include_directories(${TAGLIB-EXTRAS_INCLUDES})
endif (TAGLIB-EXTRAS_FOUND)

=== mac/icons/CMakeLists.txt ===
set(OXYGEN_ICONS
32x32/places/server-database.png
32x32/places/favorites.png
32x32/places/network-server.png
32x32/places/document-multiple.png
32x32/places/folder.png
32x32/actions/media-playback-pause.png
32x32/actions/document-open.png
32x32/actions/document-new.png
32x32/actions/folder-sync.png
32x32/actions/arrow-down.png
32x32/actions/tools-media-optical-burn.png
32x32/actions/view-refresh.png
32x32/actions/document-edit.png
32x32/actions/list-remove.png
32x32/actions/speaker.png
32x32/actions/list-add.png
32x32/actions/document-save.png
32x32/actions/network-connect.png
32x32/actions/document-save-as.png
32x32/actions/dialog-close.png
32x32/actions/edit-delete.png
32x32/actions/view-media-artist.png
32x32/actions/view-media-lyrics.png
32x32/actions/arrow-up.png
32x32/actions/media-skip-forward.png
32x32/actions/edit-find.png
32x32/actions/application-exit.png
32x32/actions/media-playback-start.png
32x32/actions/view-media-playlist.png
32x32/actions/dialog-ok.png
32x32/actions/view-choose.png
32x32/actions/dialog-cancel.png
32x32/actions/media-skip-backward.png
32x32/actions/configure.png
32x32/actions/edit-clear-list.png
32x32/actions/go-previous.png
32x32/actions/view-fullscreen.png
32x32/actions/system-run.png
32x32/actions/process-stop.png
32x32/actions/edit-clear-locationbar-rtl.png
32x32/actions/edit-rename.png
32x32/actions/tools-wizard.png
32x32/actions/document-import.png
32x32/actions/go-next.png
32x32/actions/media-playback-stop.png
32x32/actions/configure-shortcuts.png
32x32/actions/document-export.png
32x32/actions/edit-clear-locationbar-ltr.png
32x32/status/media-playlist-shuffle.png
32x32/status/dialog-error.png
32x32/status/dialog-warning.png
32x32/status/dialog-information.png
32x32/status/object-locked.png
32x32/mimetypes/inode-directory.png
32x32/mimetypes/audio-x-generic.png
32x32/categories/preferences-system-network.png
32x32/categories/preferences-other.png
32x32/categories/applications-internet.png
32x32/devices/video-display.png
32x32/devices/multimedia-player.png
32x32/devices/network-wired.png
32x32/devices/media-optical.png
32x32/apps/system-file-manager.png
32x32/apps/preferences-desktop-keyboard.png
64x64/status/dialog-error.png
64x64/status/dialog-warning.png
64x64/status/dialog-information.png
64x64/categories/preferences-system-network.png
64x64/categories/preferences-other.png
64x64/categories/applications-internet.png
64x64/devices/video-display.png
64x64/devices/multimedia-player.png
64x64/devices/network-wired.png
64x64/devices/media-optical.png
64x64/apps/preferences-desktop-keyboard.png
22x22/places/server-database.png
22x22/places/favorites.png
22x22/places/network-server.png
22x22/places/document-multiple.png
22x22/places/folder.png
22x22/actions/media-playback-pause.png
22x22/actions/document-open.png
22x22/actions/document-new.png
22x22/actions/folder-sync.png
22x22/actions/arrow-down.png
22x22/actions/tools-media-optical-burn.png
22x22/actions/view-refresh.png
22x22/actions/document-edit.png
22x22/actions/list-remove.png
22x22/actions/speaker.png
22x22/actions/list-add.png
22x22/actions/document-save.png
22x22/actions/network-connect.png
22x22/actions/document-save-as.png
22x22/actions/dialog-close.png
22x22/actions/edit-delete.png
22x22/actions/view-media-artist.png
22x22/actions/view-media-lyrics.png
22x22/actions/arrow-up.png
22x22/actions/media-skip-forward.png
22x22/actions/edit-find.png
22x22/actions/application-exit.png
22x22/actions/media-playback-start.png
22x22/actions/view-media-playlist.png
22x22/actions/dialog-ok.png
22x22/actions/view-choose.png
22x22/actions/dialog-cancel.png
22x22/actions/media-skip-backward.png
22x22/actions/configure.png
22x22/actions/edit-clear-list.png
22x22/actions/go-previous.png
22x22/actions/view-fullscreen.png
22x22/actions/system-run.png
22x22/actions/process-stop.png
22x22/actions/edit-clear-locationbar-rtl.png
22x22/actions/edit-rename.png
22x22/actions/tools-wizard.png
22x22/actions/document-import.png
22x22/actions/go-next.png
22x22/actions/media-playback-stop.png
22x22/actions/configure-shortcuts.png
22x22/actions/document-export.png
22x22/actions/edit-clear-locationbar-ltr.png
22x22/status/media-playlist-shuffle.png
22x22/status/dialog-error.png
22x22/status/dialog-warning.png
22x22/status/dialog-information.png
22x22/status/object-locked.png
22x22/mimetypes/inode-directory.png
22x22/mimetypes/audio-x-generic.png
22x22/categories/preferences-system-network.png
22x22/categories/preferences-other.png
22x22/categories/applications-internet.png
22x22/animations/process-working.png
22x22/devices/video-display.png
22x22/devices/multimedia-player.png
22x22/devices/network-wired.png
22x22/devices/media-optical.png
22x22/apps/system-file-manager.png
22x22/apps/preferences-desktop-keyboard.png
16x16/places/server-database.png
16x16/places/favorites.png
16x16/places/network-server.png
16x16/places/document-multiple.png
16x16/places/folder.png
16x16/actions/media-playback-pause.png
16x16/actions/document-open.png
16x16/actions/document-new.png
16x16/actions/folder-sync.png
16x16/actions/arrow-down.png
16x16/actions/tools-media-optical-burn.png
16x16/actions/view-refresh.png
16x16/actions/document-edit.png
16x16/actions/list-remove.png
16x16/actions/speaker.png
16x16/actions/list-add.png
16x16/actions/document-save.png
16x16/actions/network-connect.png
16x16/actions/document-save-as.png
16x16/actions/dialog-close.png
16x16/actions/edit-delete.png
16x16/actions/view-media-artist.png
16x16/actions/view-media-lyrics.png
16x16/actions/arrow-up.png
16x16/actions/media-skip-forward.png
16x16/actions/edit-find.png
16x16/actions/application-exit.png
16x16/actions/media-playback-start.png
16x16/actions/view-media-playlist.png
16x16/actions/dialog-ok.png
16x16/actions/view-choose.png
16x16/actions/dialog-cancel.png
16x16/actions/media-skip-backward.png
16x16/actions/configure.png
16x16/actions/edit-clear-list.png
16x16/actions/go-previous.png
16x16/actions/view-fullscreen.png
16x16/actions/system-run.png
16x16/actions/process-stop.png
16x16/actions/edit-clear-locationbar-rtl.png
16x16/actions/edit-rename.png
16x16/actions/tools-wizard.png
16x16/actions/document-import.png
16x16/actions/go-next.png
16x16/actions/media-playback-stop.png
16x16/actions/configure-shortcuts.png
16x16/actions/document-export.png
16x16/actions/edit-clear-locationbar-ltr.png
16x16/status/media-playlist-shuffle.png
16x16/status/dialog-error.png
16x16/status/dialog-warning.png
16x16/status/dialog-information.png
16x16/status/object-locked.png
16x16/mimetypes/inode-directory.png
16x16/mimetypes/audio-x-generic.png
16x16/categories/preferences-system-network.png
16x16/categories/preferences-other.png
16x16/categories/applications-internet.png
16x16/devices/video-display.png
16x16/devices/multimedia-player.png
16x16/devices/network-wired.png
16x16/devices/media-optical.png
16x16/apps/system-file-manager.png
16x16/apps/preferences-desktop-keyboard.png
48x48/actions/view-fullscreen.png
48x48/actions/configure-shortcuts.png
48x48/status/media-playlist-shuffle.png
48x48/status/dialog-error.png
48x48/status/dialog-warning.png
48x48/status/dialog-information.png
48x48/status/object-locked.png
48x48/categories/preferences-system-network.png
48x48/categories/preferences-other.png
48x48/categories/applications-internet.png
48x48/devices/video-display.png
48x48/devices/multimedia-player.png
48x48/devices/network-wired.png
48x48/devices/media-optical.png
48x48/apps/preferences-desktop-keyboard.png
128x128/categories/applications-internet.png
128x128/devices/media-optical.png
256x256/categories/applications-internet.png
256x256/devices/media-optical.png
16x16/places/bookmarks.png
16x16/actions/bookmark-new.png
32x32/places/bookmarks.png
32x32/actions/bookmark-new.png
48x48/places/bookmarks.png
48x48/actions/bookmark-new.png
22x22/places/bookmarks.png
22x22/actions/bookmark-new.png
22x22/actions/bookmarks.png
64x64/places/bookmarks.png
64x64/actions/bookmark-new.png
16x16/actions/go-home.png
32x32/actions/go-home.png
48x48/actions/go-home.png
22x22/actions/go-home.png
)

foreach(ICON ${OXYGEN_ICONS})
    get_filename_component(ICON_PATH ${ICON} PATH)
    install(FILES ${CANTATA_OXYGEN_DIR}/${ICON} DESTINATION ${MACOSX_BUNDLE_RESOURCES}/icons/oxygen/${ICON_PATH})
endforeach(ICON ${OXYGEN_ICONS})
install(FILES index.theme DESTINATION ${MACOSX_BUNDLE_RESOURCES}/icons/oxygen)
install(FILES "LICENSE.Creative Common Attribution-ShareAlike 3.0 License.html" LICENSE.LGPL_V3 README DESTINATION ${MACOSX_BUNDLE_RESOURCES}/icons)

png
16x16/actions/go-home.png
32x32/actions/go-home.png
48x48/actions/go-home.png
22x22/actions/go-home.png
)

foreach(ICON ${OXYGEN_ICONS})
    get_filename_component(ICON_PATH ${ICON} PATH)
    install(FILES ${CANTATA_OXYGEN_DIR}/${ICON} DESTINATION ${MACOSX_BUNDLE_RESOURCES}/icons/oxygen/${ICON_PATH})
endforeach(ICON ${OXYGEN_ICONS})
install(FILES index.theme DESTINATION ${MACOSX_BUNDLE_RESOURCES}/icons/oxygen)
install(FILES "LICENSE.Creative Common Attribution-ShareAlike 3.0 License.html" LICENSE.LGPL_V3 README DESTINATION ${MACOSX_BUNDLE_RESOURCES}/icons)

=== online/icons/CMakeLists.txt ===
if (WIN32)
    install(FILES podcasts.png soundcloud.png DESTINATION ${CMAKE_INSTALL_PREFIX}/icons/)
else (WIN32)
    install(FILES podcasts.png soundcloud.png DESTINATION ${CMAKE_INSTALL_PREFIX}/share/${CMAKE_PROJECT_NAME}/icons/)
endif (WIN32)

=== streams/providers/CMakeLists.txt ===
if (WIN32)
    set(STREAM_PROVIDER_PREFIX ${CMAKE_INSTALL_PREFIX}/streams)
else (WIN32)
    set(STREAM_PROVIDER_PREFIX ${CMAKE_INSTALL_PREFIX}/share/${CMAKE_PROJECT_NAME}/streams)
endif (WIN32)

install(FILES 1.fm.png DESTINATION ${STREAM_PROVIDER_PREFIX}/1.fm RENAME icon.png)
install(FILES 1.fm.xml.gz DESTINATION ${STREAM_PROVIDER_PREFIX}/1.fm RENAME streams.xml.gz)

=== windows/icons/CMakeLists.txt ===
set(OXYGEN_ICONS
32x32/places/server-database.png
32x32/places/favorites.png
32x32/places/network-server.png
32x32/places/document-multiple.png
32x32/places/folder.png
32x32/actions/media-playback-pause.png
32x32/actions/document-open.png
32x32/actions/document-new.png
32x32/actions/folder-sync.png
32x32/actions/arrow-down.png
32x32/actions/tools-media-optical-burn.png
32x32/actions/view-refresh.png
32x32/actions/document-edit.png
32x32/actions/list-remove.png
32x32/actions/speaker.png
32x32/actions/list-add.png
32x32/actions/document-save.png
32x32/actions/network-connect.png
32x32/actions/document-save-as.png
32x32/actions/dialog-close.png
32x32/actions/edit-delete.png
32x32/actions/view-media-artist.png
32x32/actions/view-media-lyrics.png
32x32/actions/arrow-up.png
32x32/actions/media-skip-forward.png
32x32/actions/edit-find.png
32x32/actions/application-exit.png
32x32/actions/media-playback-start.png
32x32/actions/view-media-playlist.png
32x32/actions/dialog-ok.png
32x32/actions/view-choose.png
32x32/actions/dialog-cancel.png
32x32/actions/media-skip-backward.png
32x32/actions/configure.png
32x32/actions/edit-clear-list.png
32x32/actions/go-previous.png
32x32/actions/view-fullscreen.png
32x32/actions/system-run.png
32x32/actions/process-stop.png
32x32/actions/edit-clear-locationbar-rtl.png
32x32/actions/edit-rename.png
32x32/actions/tools-wizard.png
32x32/actions/document-import.png
32x32/actions/go-next.png
32x32/actions/media-playback-stop.png
32x32/actions/configure-shortcuts.png
32x32/actions/document-export.png
32x32/actions/edit-clear-locationbar-ltr.png
32x32/status/media-playlist-shuffle.png
32x32/status/dialog-error.png
32x32/status/dialog-warning.png
32x32/status/dialog-information.png
32x32/status/object-locked.png
32x32/mimetypes/inode-directory.png
32x32/mimetypes/audio-x-generic.png
32x32/categories/preferences-system-network.png
32x32/categories/preferences-other.png
32x32/categories/applications-internet.png
32x32/devices/video-display.png
32x32/devices/multimedia-player.png
32x32/devices/network-wired.png
32x32/devices/media-optical.png
32x32/apps/system-file-manager.png
32x32/apps/preferences-desktop-keyboard.png
64x64/status/dialog-error.png
64x64/status/dialog-warning.png
64x64/status/dialog-information.png
64x64/categories/preferences-system-network.png
64x64/categories/preferences-other.png
64x64/categories/applications-internet.png
64x64/devices/video-display.png
64x64/devices/multimedia-player.png
64x64/devices/network-wired.png
64x64/devices/media-optical.png
64x64/apps/preferences-desktop-keyboard.png
22x22/places/server-database.png
22x22/places/favorites.png
22x22/places/network-server.png
22x22/places/document-multiple.png
22x22/places/folder.png
22x22/actions/media-playback-pause.png
22x22/actions/document-open.png
22x22/actions/document-new.png
22x22/actions/folder-sync.png
22x22/actions/arrow-down.png
22x22/actions/tools-media-optical-burn.png
22x22/actions/view-refresh.png
22x22/actions/document-edit.png
22x22/actions/list-remove.png
22x22/actions/speaker.png
22x22/actions/list-add.png
22x22/actions/document-save.png
22x22/actions/network-connect.png
22x22/actions/document-save-as.png
22x22/actions/dialog-close.png
22x22/actions/edit-delete.png
22x22/actions/view-media-artist.png
22x22/actions/view-media-lyrics.png
22x22/actions/arrow-up.png
22x22/actions/media-skip-forward.png
22x22/actions/edit-find.png
22x22/actions/application-exit.png
22x22/actions/media-playback-start.png
22x22/actions/view-media-playlist.png
22x22/actions/dialog-ok.png
22x22/actions/view-choose.png
22x22/actions/dialog-cancel.png
22x22/actions/media-skip-backward.png
22x22/actions/configure.png
22x22/actions/edit-clear-list.png
22x22/actions/go-previous.png
22x22/actions/view-fullscreen.png
22x22/actions/system-run.png
22x22/actions/process-stop.png
22x22/actions/edit-clear-locationbar-rtl.png
22x22/actions/edit-rename.png
22x22/actions/tools-wizard.png
22x22/actions/document-import.png
22x22/actions/go-next.png
22x22/actions/media-playback-stop.png
22x22/actions/configure-shortcuts.png
22x22/actions/document-export.png
22x22/actions/edit-clear-locationbar-ltr.png
22x22/status/media-playlist-shuffle.png
22x22/status/dialog-error.png
22x22/status/dialog-warning.png
22x22/status/dialog-information.png
22x22/status/object-locked.png
22x22/mimetypes/inode-directory.png
22x22/mimetypes/audio-x-generic.png
22x22/categories/preferences-system-network.png
22x22/categories/preferences-other.png
22x22/categories/applications-internet.png
22x22/animations/process-working.png
22x22/devices/video-display.png
22x22/devices/multimedia-player.png
22x22/devices/network-wired.png
22x22/devices/media-optical.png
22x22/apps/system-file-manager.png
22x22/apps/preferences-desktop-keyboard.png
16x16/places/server-database.png
16x16/places/favorites.png
16x16/places/network-server.png
16x16/places/document-multiple.png
16x16/places/folder.png
16x16/actions/media-playback-pause.png
16x16/actions/document-open.png
16x16/actions/document-new.png
16x16/actions/folder-sync.png
16x16/actions/arrow-down.png
16x16/actions/tools-media-optical-burn.png
16x16/actions/view-refresh.png
16x16/actions/document-edit.png
16x16/actions/list-remove.png
16x16/actions/speaker.png
16x16/actions/list-add.png
16x16/actions/document-save.png
16x16/actions/network-connect.png
16x16/actions/document-save-as.png
16x16/actions/dialog-close.png
16x16/actions/edit-delete.png
16x16/actions/view-media-artist.png
16x16/actions/view-media-lyrics.png
16x16/actions/arrow-up.png
16x16/actions/media-skip-forward.png
16x16/actions/edit-find.png
16x16/actions/application-exit.png
16x16/actions/media-playback-start.png
16x16/actions/view-media-playlist.png
16x16/actions/dialog-ok.png
16x16/actions/view-choose.png
16x16/actions/dialog-cancel.png
16x16/actions/media-skip-backward.png
16x16/actions/configure.png
16x16/actions/edit-clear-list.png
16x16/actions/go-previous.png
16x16/actions/view-fullscreen.png
16x16/actions/system-run.png
16x16/actions/process-stop.png
16x16/actions/edit-clear-locationbar-rtl.png
16x16/actions/edit-rename.png
16x16/actions/tools-wizard.png
16x16/actions/document-import.png
16x16/actions/go-next.png
16x16/actions/media-playback-stop.png
16x16/actions/configure-shortcuts.png
16x16/actions/document-export.png
16x16/actions/edit-clear-locationbar-ltr.png
16x16/status/media-playlist-shuffle.png
16x16/status/dialog-error.png
16x16/status/dialog-warning.png
16x16/status/dialog-information.png
16x16/status/object-locked.png
16x16/mimetypes/inode-directory.png
16x16/mimetypes/audio-x-generic.png
16x16/categories/preferences-system-network.png
16x16/categories/preferences-other.png
16x16/categories/applications-internet.png
16x16/devices/video-display.png
16x16/devices/multimedia-player.png
16x16/devices/network-wired.png
16x16/devices/media-optical.png
16x16/apps/system-file-manager.png
16x16/apps/preferences-desktop-keyboard.png
48x48/actions/view-fullscreen.png
48x48/actions/configure-shortcuts.png
48x48/status/media-playlist-shuffle.png
48x48/status/dialog-error.png
48x48/status/dialog-warning.png
48x48/status/dialog-information.png
48x48/status/object-locked.png
48x48/categories/preferences-system-network.png
48x48/categories/preferences-other.png
48x48/categories/applications-internet.png
48x48/devices/video-display.png
48x48/devices/multimedia-player.png
48x48/devices/network-wired.png
48x48/devices/media-optical.png
48x48/apps/preferences-desktop-keyboard.png
128x128/categories/applications-internet.png
128x128/devices/media-optical.png
256x256/categories/applications-internet.png
256x256/devices/media-optical.png
16x16/places/bookmarks.png
16x16/actions/bookmark-new.png
32x32/places/bookmarks.png
32x32/actions/bookmark-new.png
48x48/places/bookmarks.png
48x48/actions/bookmark-new.png
22x22/places/bookmarks.png
22x22/actions/bookmark-new.png
22x22/actions/bookmarks.png
64x64/places/bookmarks.png
64x64/actions/bookmark-new.png
16x16/actions/go-home.png
32x32/actions/go-home.png
48x48/actions/go-home.png
22x22/actions/go-home.png
)

foreach(ICON ${OXYGEN_ICONS})
    get_filename_component(ICON_PATH ${ICON} PATH)
    install(FILES ${CANTATA_OXYGEN_DIR}/${ICON} DESTINATION ${CMAKE_INSTALL_PREFIX}/icons/oxygen/${ICON_PATH})
endforeach(ICON ${OXYGEN_ICONS})
install(FILES index.theme DESTINATION ${CMAKE_INSTALL_PREFIX}/icons/oxygen)
install(FILES "LICENSE.Creative Common Attribution-ShareAlike 3.0 License.html" LICENSE.LGPL_V3 README DESTINATION ${CMAKE_INSTALL_PREFIX}/icons)

=== debian/changelog ===
cantata (1.3.4.ds1-1build1) utopic; urgency=medium

  * Rebuild against libav11.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 04 Sep 2014 20:05:45 +0100

cantata (1.3.4.ds1-1) unstable; urgency=medium

  * New upstream release.
    - add qxt to build dependencies.
    - update copyright information.
  * Disable watch file broken by google code.
  * Disable built-in http server.

 -- Stuart Prescott <stuart@debian.org>  Wed, 28 May 2014 23:37:44 +1000

cantata (1.2.2.ds1-1) unstable; urgency=medium

  * New upstream release.

 -- Stuart Prescott <stuart@debian.org>  Sat, 18 Jan 2014 01:33:02 +1100

cantata (1.1.3.ds1-1) unstable; urgency=low

  * Initial release (Closes: #684762), with thanks to Jean-Philippe Garcia
    Ballester for work on packaging.

 -- Stuart Prescott <stuart@debian.org>  Tue, 03 Dec 2013 23:57:14 +1100

=== debian/control ===
Source: cantata
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Stuart Prescott <stuart@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               graphicsmagick,
               kdelibs5-dev,
               libavcodec-dev,
               libavformat-dev,
               libavutil-dev,
               libcdparanoia-dev,
               libmusicbrainz5-dev,
               libmpg123-dev,
               libmtp-dev (>= 1.0.0),
               libphonon-dev,
               libqjson-dev,
               libqt4-dev,
               libqtwebkit-dev,
               libqxt-dev,
               libspeex-dev,
               libspeexdsp-dev,
               libtag-extras-dev,
               libtag1-dev,
               libx11-dev,
               pkg-config,
               pkg-kde-tools
Standards-Version: 3.9.5
Homepage: https://code.google.com/p/cantata/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/cantata.git
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/cantata.git

Package: cantata
Architecture: any
Depends: kde-style-oxygen, ${misc:Depends}, ${shlibs:Depends}
Provides: mpd-client
Suggests: mpd
Description: KDE client for the music player daemon (MPD)
 Cantata is a graphical front-end for the music player daemon, MPD. It provides
 many tools to view and manage the music collection including:
 .
   * library - sorted by album, artist, track, directory
   * albums with cover art
   * user defined playlists
   * dynamic playlists
   * streams, internet radio
   * lyrics
   * artist information from Wikipedia
   * device support for USB mass storage, MTP and CDs

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with kde

override_dh_auto_configure:
	dh_auto_configure -- -DENABLE_HTTP_SERVER=OFF

override_dh_auto_install:
	install -d debian/tmp
	gm convert icons/cantata32.png debian/tmp/cantata.xpm
	gm convert icons/cantata16.png debian/tmp/cantata-16.xpm
	dh_auto_install

override_dh_auto_clean:
	rm -rf 3rdparty/qjson 3rdparty/qtsingleapplication 3rdparty/solid-lite
	dh_auto_clean

=== debian/watch ===
# Google code no longer offers downloads; no watch file is possible.
#
#version=3
#opts="dversionmangle=s/\.ds1//" \
#  http://code.google.com/p/cantata/downloads/list .*/cantata-(.*)\.tar\.bz2 \
#  debian sh debian/repack
